Announcement Announcement Module
Collapse
No announcement yet.
STS 2.6.0 startup error Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • STS 2.6.0 startup error

    Hi,

    I am trying to run STS 2.6.0.RELEASE on my Windows 7 (64 bit) machine. For that, I downloaded the appropriate zip from the springsource downloads page and unzipped it.

    When I run the <directory_where_sts_unzipped>\springsource\sts-2.6.0.RELEASE\STS.exe, I get an error at the startup which is captured in the attachment and STS never starts.

    I have JDK 1.5 and JDK 1.6 installed on my machine.

    Any help would sincerely be appreciated. Thanks in advance.

    Regards,
    Nihar.

  • #2
    A stackoverflow article withe the same error in:
    http://stackoverflow.com/questions/7...ed-library-jdk

    implies that there is a mismatch in versions. Does the 'bitness' of your JDK match the bitness of the STS? 32bit JDK with 32bit eclipse, 64bit JDK with 64bit eclipse?

    cheers,
    Andy

    Comment


    • #3
      Thanks Andy for pointing me to the correct direction.
      The issue was that my OS and STS installation was of 64-bit while the JDK was of 32 bit. After getting appropriate 64-bit JDK 1.6 installed, the issue has been resolved.

      Thanks,
      Nihar.

      Comment

      Working...
      X